metee

Loading...
Searching...
No Matches
Public Types | Data Fields
tee_device_address Struct Reference

`#include <metee.h>`

## Public Types
enum | { TEE_DEVICE_TYPE_NONE = 0 , TEE_DEVICE_TYPE_PATH = 1 , TEE_DEVICE_TYPE_HANDLE = 2 , TEE_DEVICE_TYPE_GUID = 3 , TEE_DEVICE_TYPE_MAX = 4 }

## Data Fields
enum tee_device_address:: { ... } | type
union { |
const char * path |
const GUID * guid |
TEE_DEVICE_HANDLE handle |
} | data |

## Detailed Description

Device address passed to the init function

Definition at line 107 of file metee.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Device address type

Enumerator
TEE_DEVICE_TYPE_NONE | Select first available device
TEE_DEVICE_TYPE_PATH | Use device by path (char*)
TEE_DEVICE_TYPE_HANDLE | Use device by pre-opend handle
TEE_DEVICE_TYPE_GUID | Select first device by GUID (Windows only)
TEE_DEVICE_TYPE_MAX | upper sentinel

Definition at line 110 of file metee.h.

## Field Documentation

## ◆ [union]

union { ... } tee_device_address::data

Device address

## ◆ guid

const GUID* tee_device_address::guid

< Path to device

Definition at line 120 of file metee.h.

## ◆ handle

TEE_DEVICE_HANDLE tee_device_address::handle

Device GUID (Windows only) Pre-opend handle

Definition at line 121 of file metee.h.

## ◆ path

const char* tee_device_address::path

Definition at line 119 of file metee.h.

## ◆ []

enum { ... } tee_device_address::type

Device address type

The documentation for this struct was generated from the following file:

- metee.h